/*
 * DS00_Rev01.h
 */
#ifndef __DS00_REV01_H
#define __DS00_REV01_H

/**
 * Clear a bit in val
 * @param val variable where bit will be cleared
 * @param bit is bit number to clear.
 */
#define CLR(val,bit)     do { (val) &= ~(1 << (bit)); } while (0)

/**
 * Set a bit in val
 * @param val variable where bit will be set
 * @param bit is bit number to set.
 */
#define SET(val,bit)     do { (val) |= (1 << (bit)); } while (0)

/**
 * Flip a bit in val
 * @param val variable where bit will be toggled
 * @param bit is bit number to toggle.
 */
#define FLIP(val,bit)    do { (val) ^= (1 << (bit)); } while (0)

/**
 * pause program execution for number of milli-seconds
 * @param ms is number of milli-seconds to wait.
 */
#define msleep(t)        do { waitcnt((CLKFREQ/1000)*t); } while (0)

#endif