/*

Constants.h

Constant parameters header file.

*/

// Port pins - enunciation
#define LED1			0
#define LED2 			1
#define LED3 			2
#define LED4 			3
#define LED5 			4
#define LED6 			5
#define LED7 			6
#define LED8 			7
#define LED9 			8
#define LED10 		9
#define BUZZER		10	

// Port pins - expansion header pins
#define EH3				12			
#define EH4				11
#define EH6				13

// Port pins - DS00VQ100 connections
#define TEX_SYNC							14
#define MOSI									15
#define TEX_RETURN						16
#define SPI_CLOCK							17
#define TEX_ZERO							18
#define CS 										19
#define CSNEEPROM							20
#define MISO									21
#define TEX_DIRECTION					22
#define READYN								23

// Port pin masks
#define PORT_DIRECTIONS 			0x001A87FF
#define IN_MASK 							0x00200000
#define DATA_READY_MASK 			0x00800000
#define USB_READY_MASK				0x80000000

// SPI parameters
#define SPI_HEADER    				0xCC
#define SYNC_FOOTER						0xAA
#define ASYNC_FOOTER					0x77

// EEPROM addresses overlap int_settings[0 - 18] 
// SPI write variables overlap int_settings[0 - 13]
#define HEADER									0
#define CONFIGURE								1
#define UNUSEDB									2
#define SIGNAL_WIDTH						3
#define	APD_VOLTAGE							4
#define LASER_VOLTAGE						5
#define DATA_INDEX							6
#define ZERO_WIDTH							7
#define TEST_PORT								8
#define	MEASURING_RANGE					9
#define MAIN_CRYSTAL						10
#define SECOND_CRYSTAL					11
#define AMPLIFIER_GAIN					12
#define FOOTER									13
#define DISPLAY_MODE						14
#define AVERAGE_FLAG						15
#define CONTROL_NOISE_FLAG			16
#define CONTROL_NOISE_LOW				17
#define CONTROL_NOISE_HI				18
#define CONTROL_RESOLUTION_FLAG	19
#define CONTROL_RESOLUTION			20
#define ZERO_OFFSET							21
#define SERIAL_NUMBER						255

// EEPROM floats
#define CORRECTIONS						22

// SPI read variables
#define FIRMWARE							0
#define ZERO_REAR							1
#define ZERO_REAR_MSB    			1
#define ZERO_REAR_LSB    			2
#define ZERO_FRONT						3
#define ZERO_FRONT_MSB   			3
#define ZERO_FRONT_LSB   			4
#define SIGNAL_REAR						5
#define SIGNAL_REAR_MSB  			5
#define SIGNAL_REAR_LSB  			6
#define SIGNAL_FRONT					7
#define SIGNAL_FRONT_MSB 			7
#define SIGNAL_FRONT_LSB 			8
#define NOISE									9
#define NOISE_MSB        			9
#define NOISE_LSB        			10
#define SPAN									11
#define SPAN_MSB         			11
#define SPAN_LSB         			12
#define STATUS           			13

// Other parameters
#define RANGE0								23.4375
#define RANGE1								46.875
#define RANGE2								93.75
#define RANGE3								187.5
#define RANGE4								375.0
#define TIME_DIR_MASK					0x20
#define SIGNAL_VALID_MASK			0x40
#define TRUE									0
#define FALSE									-1
#define FORWARD								0
#define REVERSE								-1
#define READY									0
#define NOT_READY							-1
#define RESTART								10

/*
-----------------------------------------------------------------------------------------------------------
This work is licensed under the Creative Commons Attribution 3.0 Unported License.
To view a copy of this license, visit http://creativecommons.org/licenses/by/3.0/
or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
-----------------------------------------------------------------------------------------------------------
*/

